/* Define useful macros for reporting problems to the user. */

#ifndef _reporter_h
#define _reporter_h

#include <stdio.h>

#define FatalErrorMemory(var) \
if ((var)==NULL) {printf("Fatal Error - Memory - in %s at line %i.\n",__FILE__,__LINE__); \
exit(1); \
}

#define FatalErrorBound(v,b) \
if ((v)>(b)) {printf("Fatal Error - Bound - in %s at line %i.\n",__FILE__,__LINE__); \
exit(1); \
}

#define FatalErrorObjectNotFound(v,b) \
if ((v)==NULL) {printf("Fatal Error - \"%s\" Not Found - in %s at line %i.\n",b,__FILE__,__LINE__); \
exit(1); \
}

#endif /* _reporter_h */
